Skip to content

Repo Logs

GET
/api/v1/container_registry/projects-logs/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/container_registry/projects-logs/?project_name=<PROJECT_NAME>&repository_name=<REPOSITORY_NAME>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'
project_name
required
integer

Container Registry name

repository_name
required
string

Repository Name

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Container Registry audit logs retrieved successfully.

Media typeapplication/json
object
code
integer
data
Array<object>
object
id
integer
op_time
string format: date-time
operation
string
resource
string
resource_type
string
username
string
errors
object
key
additional properties
string
message
string

Example

{
"code": 200,
"data": [
{
"id": 112871,
"op_time": "2025-04-09T07:13:19.899Z",
"operation": "create",
"resource": "cr-19490/nginx:latest",
"resource_type": "artifact",
"username": "sales@e2enetworks.com"
}
],
"errors": {},
"message": "Success"
}